
Figure - Bug #115039
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】data/misc/bluetooth/logs/ 下有Bluetooth日志，但tlog打包后的日志中，没有对
应Bluetooth日志日志
2023-01-04 10:00 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: High Due date: 2023-01-12

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-12

Test Type: ST Root cause: 新功能，需要添加

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，选择所有日志

3、打开蓝牙并连接设备

4、点击stop，查看data/misc/bluetooth/logs/  和打包后tlog

【预期结果】

4. data/misc/bluetooth/logs/ 下有日志，tlog打包后的日志中有Bluetooth日志，

【实际结果】

5. data/misc/bluetooth/logs/ 下有日志，但tlog打包后的日志中，没有对应日志Bluetooth日志

History

#1 - 2023-01-11 16:22 - CD SYSTEM-夏旭

- Due date set to 2023-01-12

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

本地编译版本验证ok，能够抓取bluetooth的日志

#2 - 2023-01-11 20:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175890 general/device/thundercomm/TCDEV Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com
system:log:add bluetoothadd bluetooth selinuxTC-RID: 1200-0800102IssueID: TS-R-BUG-115039Change-Id: I2853653cdebd8a9a65d90d104ed782b5a1ba90fb

#3 - 2023-01-11 20:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175902 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

system:log:add bluetooth1. modify tlog bin2. add bluetooth service3. add /data/tlog/bluetooth pathTC-RID: 1200-0800102IssueID: TS-R-BUG-115039Change-Id:

I65df1af244665be01f54e424047ff17fff517980

#4 - 2023-01-12 11:10 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-12

- Root cause set to 新功能，需要添加

■ Current conclusion

已处理。

    1. 开发者选项->启用蓝牙HCI信息收集日志。

    2. 打开蓝牙，已打开就重新打开一下

    3. apk选择bluetooth，压缩包/data/tlog/bluetooth包含cfa的文件

■ My analysis

新功能，需要添加

■ Next action 

测试验证

#5 - 2023-01-13 15:38 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过，apk勾选后点击start\stop, pull /sdcard/tlog/中包含buletooth日志

#6 - 2023-01-13 15:39 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
